aboutsummaryrefslogtreecommitdiff
path: root/scripts/prepare-installer-for-github-actions
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/prepare-installer-for-github-actions')
-rwxr-xr-xscripts/prepare-installer-for-github-actions10
1 files changed, 10 insertions, 0 deletions
diff --git a/scripts/prepare-installer-for-github-actions b/scripts/prepare-installer-for-github-actions
new file mode 100755
index 000000000..92d930384
--- /dev/null
+++ b/scripts/prepare-installer-for-github-actions
@@ -0,0 +1,10 @@
+#!/usr/bin/env bash
+
+set -e
+
+script=$(nix-build -A outputs.hydraJobs.installerScriptForGHA --no-out-link)
+installerHash=$(echo $script | cut -b12-43 -)
+
+installerURL=https://$CACHIX_NAME.cachix.org/serve/$installerHash/install
+
+echo "::set-output name=installerURL::$installerURL"